<?php // About Ashe

// Add About Ashe Page
function sydnee_about_page() {
	$page1=add_theme_page( esc_html__( 'About Sydnee', 'sydnee' ), esc_html__( 'About Sydnee', 'sydnee' ), 'edit_theme_options', 'about-sydnee', 'sydnee_about_page_output' );

	add_action('admin_print_styles-'.$page1, 'sydnee_pro_info');
}
add_action( 'admin_menu', 'sydnee_about_page' );

function sydnee_pro_info(){
	// CSS
	wp_enqueue_style('bootstrap',  get_template_directory_uri() .'/assets/css/bootstrap/bootstrap.css');
	wp_enqueue_style('admin',  get_template_directory_uri() .'/core/about/css/about-sydnee-page.css');
	wp_enqueue_style('font-awesome',  get_template_directory_uri() .'/assets/css/fontawesome.min.css');
	//JS
	wp_enqueue_script('jquery');
	wp_enqueue_script('bootstrap-js',get_template_directory_uri() .'/assets/js/bootstrap.js');

	// Demo Import
	wp_enqueue_script( 'plugin-install' );
	wp_enqueue_script( 'updates' );
	wp_enqueue_script( 'sydnee-about-page-css', get_template_directory_uri() .'/core/about/js/about-sydnee-page.js' );

} 

// Render About Sydnee HTML
function sydnee_about_page_output() {

	$theme_data	 = wp_get_theme();

?>

	<div class="wrap">

		<div class="welcome-text">
			<h1 style="font-size: 30px;font-weight: 600;">
			<?php /* translators: %s theme name */
				printf( esc_html__( 'Welcome to %s', 'sydnee' ), esc_html( $theme_data->Name ) );
			?>
			</h1>

			<p>
				<div class="container pl-0 ml-0">
					<div class="row">
						<div class="col-md-12">
							<?php 
								printf( esc_html__( 'Sydnee is a free version WordPress theme. It is a multi-purpose theme for blog, Education, News, Entertainment etc. You can create a beautiful homepage contain banner, features, blogs, contact section.', 'sydnee' ), esc_html( $theme_data->Name ) );
							?>
							<br><br><a href="<?php echo esc_url('https://demo.mywebapp.in/sydnee/'); ?>" class="button button-primary button-hero" target="_blank"><?php esc_html_e( 'Theme Demo Preview', 'sydnee' ); ?></a>
			 			</div>
					</div>
			 	</div>
			</p>
		</div>  

		<div class="nav-tab-wrapper">
			
			<h1><?php esc_html_e( 'Getting Started', 'sydnee' ); ?></h1>
			
		</div>

			<div class="three-columns-wrap">

				<br>

				<div class="column-width-3">


					<h3><?php esc_html_e( 'Demo Content', 'sydnee' ); ?></h3>
					<p>
						<?php esc_html_e( 'If you are a WordPress beginner it\'s highly recommended to install the theme Demo Content. This file includes: Menus, Posts, Pages, Widgets, etc.', 'sydnee' ); ?>
					</p>

					<?php if ( is_plugin_active( 'one-click-demo-import/one-click-demo-import.php' ) ) : ?>
						<a href="<?php echo admin_url( '/admin.php?page=one-click-demo-import' ); ?>" class="button button-primary demo-import"><?php esc_html_e( 'Go to Import page', 'sydnee' ); ?></a>
					<?php elseif ( ashe_check_installed_plugin( 'one-click-demo-import', 'one-click-demo-import' ) ) : ?>
						<button class="button button-primary demo-import" id="sydnee-demo-content-act"><?php esc_html_e( 'Activate Demo Import Plugin', 'sydnee' ); ?></button>
					<?php else: ?>
						<button class="button button-primary demo-import" id="sydnee-demo-content-inst"><?php esc_html_e( 'Install Demo Import Plugin', 'sydnee' ); ?></button>
					<?php endif; ?>

				</div>

				<div class="column-width-3">
					
					<h3><?php esc_html_e( 'Documentation', 'sydnee' ); ?></h3>

					<ol>
						<li> <?php esc_html_e('After Import Demo Content','sydnee'); ?> </li>
						<li> <?php esc_html_e('Go to Appearance -> Customize > Homepage Settings -> select A static page option. Select Page for "Homepage" and "Posts page".','sydnee'); ?> </li>
						<li> <?php esc_html_e('Now save changes','sydnee'); ?> </li>
					</ol>

				</div>

				<div class="column-width-3">
					<h3><?php esc_html_e( 'Theme Customizer', 'sydnee' ); ?></h3>
					<p>
					<?php /* translators: %s theme name */
						printf( esc_html__( '%s supports the Theme Customizer for all theme settings. Click "Customize" to personalize your site.', 'sydnee' ), esc_html( $theme_data->Name ) );
					?>
					</p>
					<a target="_blank" href="<?php echo esc_url( wp_customize_url() );?>" class="button button-primary customize-btn"><?php esc_html_e( 'Start Customizing', 'sydnee' ); ?></a>
				</div>

			</div>

	</div>
<?php
} // end ashe_about_page_output

// Check if plugin is installed
function ashe_check_installed_plugin( $slug, $filename ) {
	return file_exists( ABSPATH . 'wp-content/plugins/' . $slug . '/' . $filename . '.php' ) ? true : false;
}

// Install/Activate Demo Import Plugin 
function sydnee_plugin_auto_activation() {

	// Get the list of currently active plugins (Most likely an empty array)
	$active_plugins = (array) get_option( 'active_plugins', array() );

	array_push( $active_plugins, 'one-click-demo-import/one-click-demo-import.php' );

	// Set the new plugin list in WordPress
	update_option( 'active_plugins', $active_plugins );

}
add_action( 'wp_ajax_sydnee_plugin_auto_activation', 'sydnee_plugin_auto_activation' );