<?php
/**
 * Sydnee: Customizer
 *
 * @package Sydnee
 * @since 0.1
 */
class sydnee_Customizer {

	public function __construct() {

		add_action( 'customize_register', array( $this, 'sydnee_customize_register' ) );

		add_action('customize_controls_enqueue_scripts', array($this, 'sydnee_customizer_js'));

	}

	public function init() {
	}

	// Load dynamic logic for the customizer controls area.
	function sydnee_customizer_js() {
		wp_enqueue_script( 'sydnee-customize-controls', get_theme_file_uri( '/core/customizer/js/customize-control.js' ), array(), '1.2', true);
	}

	function sydnee_customize_register( $wp_customize ) {

		// Active callback for page
		function hesta_slider_layout_page( $control ) { 
			if( 'banner' == $control->manager->get_setting('sydnee_slider')->value() ){
				return true;
			} else {
				return false;
			}
			if( 'header' == $control->manager->get_setting('sydnee_slider')->value() ){
				return true;
			} else {
				return false;
			}
		}

		//All our sections, settings, and controls will be added here
		$wp_customize->get_setting( 'blogname' )->transport        = 'postMessage';
		$wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';

		/* create panel */

		$wp_customize->add_panel( 'sydnee_theme_option', array(
			'title'    => __( 'Theme Settings', 'sydnee' ),
			'priority' => 1, // Mixed with top-level-section hierarchy.
		) );
		
		/* general section */
		$wp_customize->add_section( 'sydnee_general_settings', array(
			'title'      => __( 'General Settings', 'sydnee' ),
			'panel'      => 'sydnee_theme_option',
			'capability' => 'edit_theme_options',
			'priority'   => 35,
		) );
		
		$wp_customize->add_setting( 'sydnee_frontpage_show', array(
			'type'              => 'theme_mod',
			'default'           => '',
			'sanitize_callback' => 'sydnee_sanitize_checkbox',
			'capability'        => 'edit_theme_options',
		) );

		$wp_customize->add_control( 'sydnee_frontpage_show', array(
			'label'    => __( 'Frontpage Template', 'sydnee' ),
			'description' => __( 'Click to keep the frontpage template?', 'sydnee' ),
			'type'     => 'checkbox',
			'section'  => 'sydnee_general_settings',
			'settings' => 'sydnee_frontpage_show',
		) );

		/* footer section */
		$wp_customize->add_section( 'sydnee_footer', array(
			'title'      => __( 'Footer Options', 'sydnee' ),
			'panel'      => 'sydnee_theme_option',
			'capability' => 'edit_theme_options',
			'priority'   => 35,
		) );

		$wp_customize->add_setting( 'sydnee_widget_column',
		   array(
			  'type'              => 'theme_mod',
			  'default' => '3',
			  'sanitize_callback' => 'absint',
			  'capability'        => 'edit_theme_options',
		   )
		);
		
		$wp_customize->add_control( 'sydnee_widget_column',
		   array(
			  'label' => __( 'Footer Widget Column','sydnee' ),
			  'section' => 'sydnee_footer',
			  'priority' => 10,
			  'type' => 'select',
			  'capability' => 'edit_theme_options',
			  'choices' => array( 
				 '6' => __( '2-Column','sydnee' ),
				 '4' => __( '3-Column','sydnee' ),
				 '3' => __( '4-Column','sydnee' ),
			  )
		   )
		);

		$wp_customize->add_setting( 'footer_text', array(
			'type'              => 'theme_mod',
			'default'           => '',
			'sanitize_callback' => 'wp_filter_nohtml_kses',
			'capability'        => 'edit_theme_options',
		) );

		$wp_customize->add_control( 'footer_text', array(
			'label'    => __( 'Footer Text', 'sydnee' ),
			'type'     => 'text',
			'section'  => 'sydnee_footer',
			'settings' => 'footer_text',
		) );

		$wp_customize->add_setting( 'footer_copyright', array(
				'type'              => 'theme_mod',
				'default'           => '',
				'sanitize_callback' => 'wp_filter_nohtml_kses',
				'capability'        => 'edit_theme_options',
			)
		);
		$wp_customize->add_control( 'footer_copyright', array(
			'label'    => __( 'Footer Copyright', 'sydnee' ),
			'type'     => 'text',
			'section'  => 'sydnee_footer',
			'settings' => 'footer_copyright',
		) );

		$wp_customize->add_setting( 'footer_link', array(
				'type'              => 'theme_mod',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
				'capability'        => 'edit_theme_options',
			)
		);
		$wp_customize->add_control( 'footer_link', array(
			'label'    => __( 'Footer Link', 'sydnee' ),
			'type'     => 'url',
			'section'  => 'sydnee_footer',
			'settings' => 'footer_link',
		) );

		/* color section */
		$wp_customize->add_section( 'sydnee_color', array(
			'title'      => __( 'Color Settings', 'sydnee' ),
			'panel'      => 'sydnee_theme_option',
			'capability' => 'edit_theme_options',
			'priority'   => 34,
		) );
		
		$wp_customize->add_setting( 'header_color_setting', array(
			'type'              => 'theme_mod',
            'default' => '#f0f8ff',
			'sanitize_callback' => 'sanitize_hex_color',
			'capability'        => 'edit_theme_options',
        ) );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 
        'header_color_setting', array(
        'label'      => __( 'Header Background Color', 'sydnee' ),
        'section'    => 'sydnee_color',
        'settings'   => 'header_color_setting',
    	) ) 
		);

		$wp_customize->add_setting( 'footer_color_setting', array(
            'type'              => 'theme_mod',
            'default' => '#f0f8ff',
			'sanitize_callback' => 'sanitize_hex_color',
			'capability'        => 'edit_theme_options',
        ) );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 
        'footer_color_setting', array(
        'label'      => __( 'Footer Background Color', 'sydnee' ),
        'section'    => 'sydnee_color',
        'settings'   => 'footer_color_setting',
    	) ) 
		);

		/* inner header image */
		$wp_customize->add_section( 'sydnee_inner_banner', array(
			'title'      => __( 'Breadcrumb Image', 'sydnee' ),
			'panel'      => 'sydnee_theme_option',
			'capability' => 'edit_theme_options',
			'priority'   => 35,
		) );
		$wp_customize->add_setting( 'sydnee_header_image', array(
			'type'              => 'theme_mod',
			'default'           => '',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'esc_url_raw',
		) );

		$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'sydnee_header_image', array(
			'label'    => __( 'Inner banner Image', 'sydnee' ),
			'description' => __( 'background image show before breadcrumb area', 'sydnee' ),
			'section'  => 'sydnee_inner_banner',
			'settings' => 'sydnee_header_image'
		) ) );

		/* Slider options */
		$wp_customize->add_section(
			'slider_section',
			array(
				'title'           => __( 'Banner Options', 'sydnee' ),
				'panel'           => 'sydnee_theme_option',
				'description'     => 'Here you can add slider images',
				'capability'      => 'edit_theme_options',
				'priority'        => 35,
				'active_callback' => 'is_front_page',
			)
		);

		$wp_customize->add_setting( 'sydnee_slider',
		   array(
			  'type'              => 'theme_mod',
			  'default' => '',
			  'sanitize_callback' => 'sydnee_sanitize_select',
			  'capability'        => 'edit_theme_options',
		   )
		);
		
		$wp_customize->add_control( 'sydnee_slider',
		   array(
			  'label' => __( 'Select Options for Banner','sydnee' ),
			  'section' => 'slider_section',
			  'priority' => 10,
			  'type' => 'select',
			  'transport'	 => 'refresh',
			  'capability' => 'edit_theme_options',
			  
			  'choices' => array( 
				 'banner' => __( 'Banner Image','sydnee' ),
				 'header' => __( 'Header Image','sydnee' ),
				 'no' => __( 'Disable','sydnee' ),
			  )
		   )
		);

		$wp_customize->add_setting( 'banner_image', array(
			'type'              => 'theme_mod',
			'default'           => '',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'esc_url_raw',
		) );

		$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'banner_image', array(
			'label'    => __( 'Banner Image', 'sydnee' ),
			'description' => __( 'Add Banner image in frontpage', 'sydnee' ),
			'section'  => 'slider_section',
			'active_callback'   => 'hesta_slider_layout_page',
			'settings' => 'banner_image'
		) ) );

		$wp_customize->add_setting( 'sydnee_banner_text', array(
			'type'              => 'theme_mod',
			'default'           => '',
			'sanitize_callback' => 'wp_filter_nohtml_kses',
			'capability'        => 'edit_theme_options',
		) );

		$wp_customize->add_control( 'sydnee_banner_text', array(
			'label'    => __( 'Banner Title', 'sydnee' ),
			'type'     => 'text',
			'section'  => 'slider_section',
			'active_callback'   => 'hesta_slider_layout_page',
			'settings' => 'sydnee_banner_text',
		) );

		$wp_customize->add_setting( 'sydnee_banner_desc', array(
			'type'              => 'theme_mod',
			'default'           => '',
			'sanitize_callback' => 'wp_filter_nohtml_kses',
			'capability'        => 'edit_theme_options',
		) );

		$wp_customize->add_control( 'sydnee_banner_desc', array(
			'label'    => __( 'Banner description ', 'sydnee' ),
			'type'     => 'textarea',
			'section'  => 'slider_section',
			'active_callback'   => 'hesta_slider_layout_page',
			'settings' => 'sydnee_banner_desc',
		) );

		$wp_customize->add_setting( 'sydnee_banner_button1', array(
			'type'              => 'theme_mod',
			'default'           => '',
			'sanitize_callback' => 'wp_filter_nohtml_kses',
			'capability'        => 'edit_theme_options',
		) );

		$wp_customize->add_control( 'sydnee_banner_button1', array(
			'label'    => __( 'Banner button text ', 'sydnee' ),
			'type'     => 'text',
			'section'  => 'slider_section',
			'active_callback'   => 'hesta_slider_layout_page',
			'settings' => 'sydnee_banner_button1',
		) );

		$wp_customize->add_setting( 'sydnee_banner_link1', array(
				'type'              => 'theme_mod',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
				'capability'        => 'edit_theme_options',
			)
		);
		$wp_customize->add_control( 'sydnee_banner_link1', array(
			'label'    => __( 'Button Link 1', 'sydnee' ),
			'type'     => 'url',
			'section'  => 'slider_section',
			'active_callback'   => 'hesta_slider_layout_page',
			'settings' => 'sydnee_banner_link1',
		) );

		$wp_customize->add_setting( 'sydnee_banner_button2', array(
			'type'              => 'theme_mod',
			'default'           => '',
			'sanitize_callback' => 'wp_filter_nohtml_kses',
			'capability'        => 'edit_theme_options',
		) );

		$wp_customize->add_control( 'sydnee_banner_button2', array(
			'label'    => __( 'Banner button text', 'sydnee' ),
			'type'     => 'text',
			'section'  => 'slider_section',
			'active_callback'   => 'hesta_slider_layout_page',
			'settings' => 'sydnee_banner_button2',
		) );

		$wp_customize->add_setting( 'sydnee_banner_link2', array(
				'type'              => 'theme_mod',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
				'capability'        => 'edit_theme_options',
			)
		);
		$wp_customize->add_control( 'sydnee_banner_link2', array(
			'label'    => __( 'Button Link 2', 'sydnee' ),
			'type'     => 'url',
			'section'  => 'slider_section',
			'active_callback'   => 'hesta_slider_layout_page',
			'settings' => 'sydnee_banner_link2',
		) );

		/* about us section */
		$wp_customize->add_section( 'sydnee_aboutus', array(
			'title'      => __( 'About Us Section', 'sydnee' ),
			'panel'      => 'sydnee_theme_option',
			'capability' => 'edit_theme_options',
			'priority'   => 35,
		) );

		$wp_customize->add_setting( 'sydnee_aboutus_show', array(
			'type'              => 'theme_mod',
			'default'           => '',
			'sanitize_callback' => 'sydnee_sanitize_checkbox',
			'capability'        => 'edit_theme_options',
		) );

		$wp_customize->add_control( 'sydnee_aboutus_show', array(
			'label'    => __( 'About Section On/Off', 'sydnee' ),
			'description' => __( 'Click above checkbox to show about section on front page', 'sydnee' ),
			'type'     => 'checkbox',
			'section'  => 'sydnee_aboutus',
			'settings' => 'sydnee_aboutus_show',
		) );

		$wp_customize->add_setting( 'sydnee_about',
		   array(
			'type'              => 'theme_mod',
			  'default' => '',
			  'sanitize_callback' => 'absint',
			  'capability'        => 'edit_theme_options',
		   )
		);
		$wp_customize->add_control( 'sydnee_about',
			array(
				'label' => __( 'Select about us page','sydnee' ),
				'description' => esc_html__( 'Select page to show on about us section on frontpage template', 'sydnee' ),
				'section' => 'sydnee_aboutus', 
				'type' => 'dropdown-pages',
			)
		);


		/* service section */
		$wp_customize->add_section( 'sydnee_service', array(
			'title'      => __( 'Service Settings', 'sydnee' ),
			'panel'      => 'sydnee_theme_option',
			'capability' => 'edit_theme_options',
			'priority'   => 35,
		) );
		
		$wp_customize->add_setting( 'sydnee_service_show', array(
			'type'              => 'theme_mod',
			'default'           => '',
			'sanitize_callback' => 'sydnee_sanitize_checkbox',
			'capability'        => 'edit_theme_options',
		) );

		$wp_customize->add_control( 'sydnee_service_show', array(
			'label'    => __( 'Service Section On/Off', 'sydnee' ),
			'description' => __( 'Click above checkbox to show service section on front page', 'sydnee' ),
			'type'     => 'checkbox',
			'section'  => 'sydnee_service',
			'settings' => 'sydnee_service_show',
		) );


		$wp_customize->add_setting( 'sydnee_service_title', array(
			'type'              => 'theme_mod',
			'default'           => '',
			'sanitize_callback' => 'wp_filter_nohtml_kses',
			'capability'        => 'edit_theme_options',
		) );

		$wp_customize->add_control( 'sydnee_service_title', array(
			'label'    => __( 'Service Title ', 'sydnee' ),
			'type'     => 'text',
			'section'  => 'sydnee_service',
			'settings' => 'sydnee_service_title',
		) );

		$wp_customize->add_setting( 'sydnee_service_desc', array(
				'type'              => 'theme_mod',
				'default'           => '',
				'sanitize_callback' => 'wp_filter_nohtml_kses',
				'capability'        => 'edit_theme_options',
			)
		);
		$wp_customize->add_control( 'sydnee_service_desc', array(
			'label'    => __( 'Service description ', 'sydnee' ),
			'type'     => 'text',
			'section'  => 'sydnee_service',
			'settings' => 'sydnee_service_desc',
		) );
		
		/* */
		for($j=1;$j<=3;$j++) {
		$wp_customize->add_setting(
		'sydnee_service_'.$j,
			array(
			'type'=>'theme_mod',
			'default'=>'',
			'sanitize_callback'=>'absint',
			'capability'        => 'edit_theme_options',
		) );
		$wp_customize->add_control( 'sydnee_service_'.$j,
		array(
			'label'    => 'Select page for service '.$j, 
			'section'  => 'sydnee_service',
			'settings' => 'sydnee_service_'.$j,
			'type' => 'dropdown-pages',	
		) );
		$wp_customize->add_setting( 'sydnee_service_icon_'.$j, array(
				'type'              => 'theme_mod',
				'default'           => '',
				'sanitize_callback' => 'wp_filter_nohtml_kses',
				'capability'        => 'edit_theme_options',
			)
		);
		$wp_customize->add_control( 'sydnee_service_icon_'.$j, array(
			'label'    => 'Select icon for service '.$j,
			'description' => __( 'Like - fa fa-user', 'sydnee' ),
			'type'     => 'text',
			'section'  => 'sydnee_service',
			'settings' => 'sydnee_service_icon_'.$j,
		) );
		}

		/* blog section */
		$wp_customize->add_section( 'sydnee_blog', array(
			'title'      => __( 'Blog Options', 'sydnee' ),
			'panel'      => 'sydnee_theme_option',
			'capability' => 'edit_theme_options',
			'priority'   => 35,
		) );

		$wp_customize->add_setting( 'sydnee_blog_title', array(
			'type'              => 'theme_mod',
			'default'           => '',
			'sanitize_callback' => 'wp_filter_nohtml_kses',
			'capability'        => 'edit_theme_options',
		) );

		$wp_customize->add_control( 'sydnee_blog_title', array(
			'label'    => __( 'Blog Title ', 'sydnee' ),
			'type'     => 'text',
			'section'  => 'sydnee_blog',
			'settings' => 'sydnee_blog_title',
		) );

		$wp_customize->add_setting( 'sydnee_blog_desc', array(
				'type'              => 'theme_mod',
				'default'           => '',
				'sanitize_callback' => 'wp_filter_nohtml_kses',
				'capability'        => 'edit_theme_options',
			)
		);
		$wp_customize->add_control( 'sydnee_blog_desc', array(
			'label'    => __( 'Blog description ', 'sydnee' ),
			'type'     => 'text',
			'section'  => 'sydnee_blog',
			'settings' => 'sydnee_blog_desc',
		) );
		
		$wp_customize->add_setting( 'sydnee_btn_text', array(
				'type'              => 'theme_mod',
				'default'           => '',
				'sanitize_callback' => 'wp_filter_nohtml_kses',
				'capability'        => 'edit_theme_options',
			)
		);
		$wp_customize->add_control( 'sydnee_btn_text', array(
			'label'    => __( 'Blog button text ', 'sydnee' ),
			'type'     => 'text',
			'section'  => 'sydnee_blog',
			'settings' => 'sydnee_btn_text',
		) );

		/* contact section */
		$wp_customize->add_section( 'sydnee_contact', array(
			'title'      => __( 'Topbar Section', 'sydnee' ),
			'description'=>__( 'Only Show on Topbar', 'sydnee' ),
			'panel'      => 'sydnee_theme_option',
			'capability' => 'edit_theme_options',
			'priority'   => 35,
		) );

		$wp_customize->add_setting( 'sydnee_phoneno', array(
				'type'              => 'theme_mod',
				'default'           => '',
				'sanitize_callback' => 'wp_filter_nohtml_kses',
				'capability'        => 'edit_theme_options',
			)
		);
		$wp_customize->add_control( 'sydnee_phoneno', array(
			'label'    => __( 'Phone no. ', 'sydnee' ),
			'type'     => 'text',
			'section'  => 'sydnee_contact',
			'settings' => 'sydnee_phoneno',
		) );

		$wp_customize->add_setting( 'sydnee_email', array(
				'type'              => 'theme_mod',
				'default'           => '',
				'sanitize_callback' => 'wp_filter_nohtml_kses',
				'capability'        => 'edit_theme_options',
			)
		);
		$wp_customize->add_control( 'sydnee_email', array(
			'label'    => __( 'Email ', 'sydnee' ),
			'type'     => 'email',
			'section'  => 'sydnee_contact',
			'settings' => 'sydnee_email',
		) );

		$wp_customize->add_setting( 'sydnee_top_link_text', array(
				'type'              => 'theme_mod',
				'default'           => '',
				'sanitize_callback' => 'wp_filter_nohtml_kses',
				'capability'        => 'edit_theme_options',
			)
		);
		$wp_customize->add_control( 'sydnee_top_link_text', array(
			'label'    => __( 'Header Button Link Text', 'sydnee' ),
			'type'     => 'text',
			'section'  => 'sydnee_contact',
			'settings' => 'sydnee_top_link_text',
		) );

		$wp_customize->add_setting( 'sydnee_top_link', array(
				'type'              => 'theme_mod',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
				'capability'        => 'edit_theme_options',
			)
		);
		$wp_customize->add_control( 'sydnee_top_link', array(
			'label'    => __( 'Header Button Link', 'sydnee' ),
			'type'     => 'url',
			'section'  => 'sydnee_contact',
			'settings' => 'sydnee_top_link',
		) );

		//typography
		$wp_customize->add_section( 'sydnee_typography', array(
			'title'      => __( 'Typography', 'sydnee' ),
			'panel'      => 'sydnee_theme_option',
			'capability' => 'edit_theme_options',
			//'priority'   => 34,
		) );
		
		$wp_customize->add_setting('main_heading_font',array(
			'type' => 'theme_mod',
			'default' => 'Abril Fatface',
			'sanitize_callback'=>'wp_filter_nohtml_kses',
			'capability'=>'edit_theme_options',
		));

		$wp_customize->add_control(new sydnee_Font_Control($wp_customize, 'main_heading_font', array(
		'label' => __('Logo Font Style', 'sydnee'),
		'section' => 'sydnee_typography',
		'settings' => 'main_heading_font',
		)));
	
		$wp_customize->add_setting(
		'menu_font',
		array(
		'type' => 'theme_mod',
		'default' => '',
		'sanitize_callback'=>'wp_filter_nohtml_kses',
		'capability'=>'edit_theme_options'
	    ));

		$wp_customize->add_control(new sydnee_Font_Control($wp_customize, 'menu_font', array(
		'label' => __('Header Menu Font Style', 'sydnee'),
		'section' => 'sydnee_typography',
		'settings' => 'menu_font'
		)));
		
		$wp_customize->add_setting('theme_title', array(
		'type' => 'theme_mod',
		'default' => 'Abril Fatface',
		'sanitize_callback'=>'wp_filter_nohtml_kses',
		'capability'=>'edit_theme_options'
	    ));

		$wp_customize->add_control(new sydnee_Font_Control($wp_customize, 'theme_title', array(
		'label' => __('Theme Section Title Font Style', 'sydnee'),
		'section' => 'sydnee_typography',
		'settings' => 'theme_title'
		)));
		
		$wp_customize->add_setting('desc_font_all', array(
		'type' => 'theme_mod',
		'default' => '',
		'sanitize_callback'=>'wp_filter_nohtml_kses',
		'capability'=>'edit_theme_options'
	    ));

		$wp_customize->add_control(new sydnee_Font_Control($wp_customize, 'desc_font_all', array(
		'label' => __('Theme Section Description Font Style', 'sydnee'),
		'section' => 'sydnee_typography',
		'settings' => 'desc_font_all'
		)));

		$wp_customize->add_setting('theme_font_all', array(
		'type' => 'theme_mod',
		'default' => '',
		'sanitize_callback'=>'wp_filter_nohtml_kses',
		'capability'=>'edit_theme_options'
	    ));

		$wp_customize->add_control(new sydnee_Font_Control($wp_customize, 'theme_font_all', array(
		'label' => __('Theme Font Style', 'sydnee'),
		'section' => 'sydnee_typography',
		'settings' => 'theme_font_all'
		)));

		function sydnee_sanitize_checkbox( $input ) {
			return $input;
		}
		
		function sydnee_sanitize_select( $input, $setting ) {
			$options = $setting->manager->get_control( $setting->id )->choices;
			return ( array_key_exists( $input, $options ) ? $input : $setting->default );
		}

		
		//sydnee_Dropdown_Posts_Custom_Control
	}
}



new sydnee_Customizer();