<?php 
/* extra function */

if ( ! function_exists( 'sydnee_head' ) ) :
function sydnee_head() { ?>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- //Meta tag Keywords -->
	<?php if ( is_singular() && pings_open() ) { ?>
        <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php }      
    wp_head(); ?>
</head>
<?php } endif; 

if ( ! function_exists( 'sydnee_logo' ) ) :
function sydnee_logo() { ?>
	<div class="row">
		<div class="col-md-3 logo-header">
		<a class="navbar-brand" style="color: #<?php echo esc_attr( get_theme_mod( 'header_textcolor' ) ); ?>" title="<?php the_title_attribute(); ?>" href="<?php echo esc_url( home_url() ); ?>">
			<?php $custom_logo_id = get_theme_mod( 'custom_logo' );
			$image  = wp_get_attachment_image_src( $custom_logo_id, 'full' );

			if ( has_custom_logo() ) { ?>
			<img src="<?php echo esc_url( $image[0] ); ?>"/>
			<?php } elseif ( display_header_text() ) {
				echo esc_html( get_bloginfo( 'name' ) ); 
			} ?>
		</a>
		<p style="color: #<?php echo esc_attr( get_theme_mod( 'header_textcolor' ) ); ?>">
			<?php
			if ( display_header_text() ) {
				echo esc_html( get_bloginfo( 'description' ) );
			}
			?>
        </p>
		</div>

		<div class="col-md-6 header-right">
			<ul class="info-list">
				<?php
				$sydnee_phoneno = get_theme_mod('sydnee_phoneno');
				$sydnee_email = get_theme_mod('sydnee_email');
				?>
				<?php if($sydnee_phoneno) { ?>
				<li><i class="fa fa-phone"></i>Phone<br><p><?php echo esc_html($sydnee_phoneno); ?></p></li><?php } ?>
				<?php if($sydnee_email) { ?>
		        <li><i class="far fa-envelope-open"></i>Email<br><p><?php echo esc_html($sydnee_email); ?></p></li><?php } ?>
				
		    </ul>
		</div>

		<div class="col-md-3 header-link">
			<ul class="info-list1">
		        <?php 
		        if(get_theme_mod('sydnee_top_link')) {
		        $sydnee_top_link = get_theme_mod('sydnee_top_link');
		        $sydnee_top_link_text = get_theme_mod('sydnee_top_link_text'); ?>
		        <li><a href="<?php esc_url( $sydnee_top_link ); ?>" class="site-btn"><?php echo esc_html( $sydnee_top_link_text ); ?></a></li>
		    	<?php } ?>
		    </ul>
		</div>
		
	</div>

<?php } endif; 

if ( ! function_exists( 'sydnee_navbar' ) ) :
function sydnee_navbar() { ?>
	<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="<?php esc_attr_e('Toggle navigation','sydnee'); ?>">
	    <span class="sr-only"><?php esc_html_e( 'Toggle navigation', 'sydnee' ); ?></span>
	    <span class="fa fa-align-justify"></span>
	    <span class="icon-bar"></span>
	    <span class="icon-bar"></span>
	</button>
	
	<?php
		wp_nav_menu( array(
			'theme_location'  => 'primary',
			'depth'           => 4, // 1 = no dropdowns, 2 = with dropdowns.
			'container'       => 'div',
			'container_class' => 'navbar-collapse collapse',
			'container_id'    => 'navbarSupportedContent',
			'menu_class'      => 'nav navbar-nav',
			'fallback_cb'     => 'WP_Bootstrap_Navwalker::fallback',
			'walker'          => new WP_Bootstrap_Navwalker(),
		) );
	?>
	
<?php } endif; 
if ( ! function_exists( 'sydnee_social_icon' ) ) :
function sydnee_social_icon() { ?>
<div class="social center-social">
	<?php if ( has_nav_menu( 'social' ) ) : 
	wp_nav_menu(
		array(
			'theme_location' => 'social',
			'menu_class'     => 'social-network ',
			'walker' => new WO_Nav_Social_Walker(),
			'depth'          => 1,
			'link_before'    => '<span class="screen-reader-text">',
			'link_after'     => '</span>',
		)
	);
	endif; ?>
</div>
<?php } endif; 
if ( ! function_exists( 'sydnee_copyright_info' ) ) :
	/**
	 * footer copyright area
	 */
	function sydnee_copyright_info() {
		$footer_copyright = get_theme_mod( 'footer_copyright' );
		$footer_link      = get_theme_mod( 'footer_link' );
		$footer_text      = get_theme_mod( 'footer_text' );
		?>
        <p class="text-wh"><?php echo esc_html( $footer_copyright ); ?><a href="<?php echo esc_url( esc_attr( $footer_link ) ); ?>"> <?php echo esc_html( $footer_text ); ?></a>
        </p>
		<?php
	}
endif;
/* single post navigation */
function sydnee_single_navigation() { ?>
    <div class="navigation">
        <div class="single_left alignleft">
			<?php previous_post_link(); ?>
        </div>
        <div class="single_right alignright">
			<?php next_post_link(); ?>
        </div>
    </div>
	<?php
}
add_action( 'sydnee_single_nav', 'sydnee_single_navigation' );
/* pagination link for index, author, category, tag pages */
function sydnee_navigation() { ?>
    <div class="navigation">
		<?php posts_nav_link(); ?>
    </div>
	<?php
}
add_action( 'sydnee_pagination_area', 'sydnee_navigation' );
/* display comments */
if ( ! function_exists( 'sydnee_comment' ) ) :
	function sydnee_comment( $comment, $args, $depth ) {
		//get theme data
		global $comment_data;
		//translations
		$leave_reply = isset($comment_data['translation_reply_to_coment']) ? isset($comment_data['translation_reply_to_coment']) :
			__( 'Reply', 'sydnee' ); ?>
        <div class="comments">
            <div class="comments-grids">
                <div class="media">
					<?php echo get_avatar( $comment, $size = '60' ); ?>
                    <div class="media-body comments-grid-right">
                        <h4><?php comment_author(); ?></h4>

                        <ul class="my-2">
                            <li class="font-weight-bold"><?php comment_date(); ?>
								<?php esc_html_e( 'at', 'sydnee' ); ?>&nbsp;<?php comment_time( 'g:i a' ); ?></li>
                        </ul>

						<?php comment_text(); ?>

                        <div class="reply">
							<?php comment_reply_link( array_merge( $args, array(
								'reply_text' => $leave_reply,
								'depth'      => $depth,
								'max_depth'  => $args['max_depth']
							) ) ) ?>
                        </div>

						<?php if ( $comment->comment_approved == '0' ) : ?>
                            <em class="comment-awaiting-moderation"><?php esc_html_e( 'Your comment is awaiting moderation.', 'sydnee' ); ?></em>
                            <br/>
						<?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
	<?php }
endif;

/* excerpt length */
remove_filter( 'the_excerpt', 'wp_trim_excerpt' );
function new_trim_excerpt($text) {
 global $post;
 if ( '' == $text ) {
 $text = get_the_content('');
 $text = apply_filters('the_content', $text);
 $text = str_replace('\]\]\>', ']]>', $text);
 $text = preg_replace('@<script[^>]*?>.*?</script>@si', '', $text);
 $text = strip_tags($text, '<a>');
 $excerpt_length = 30;
 $words = explode(' ', $text, $excerpt_length + 1);
 if (count($words)> $excerpt_length) {
 array_pop($words);
 array_push($words, '...');
 $text = implode(' ', $words);
 }
 }
 return $text;
}
remove_filter('get_the_excerpt', 'wp_trim_excerpt');
add_filter('get_the_excerpt', 'new_trim_excerpt');